package com.steerinfo.ems.emsgmpcjh.mapper;

import com.steerinfo.ems.emsgmpcjh.model.EmsGmPcJh;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface EmsGmPcJhMapper extends IBaseMapper<EmsGmPcJh, String> {
    //获取国贸编号
    String getMaxid(EmsGmPcJh emsGmPcJh);

    //下发与取消下发
    int updateState(EmsGmPcJh emsGmPcJh);

    //轮次计划页面查询
    List<Map<String, Object>> getGmPcJhData(HashMap<String, Object> parmas);

    //重量调整页面查询
    List<Map<String, Object>> getXsDdDate(HashMap<String, Object> parmas);

    //计划审核页面查询
    List<Map<String, Object>> getShData(HashMap<String, Object> parmas);

    /***
     * 查询唯一数据
     * @param emsGmPcJh
     * @return
     */
    List<EmsGmPcJh> getOlnyData(EmsGmPcJh emsGmPcJh);
}